import { Icon } from '@iconify/css-solid';
import { splitProps } from 'solid-js';
import '../../css/c/cv0n0om.css';
import '../../css/j/jhpso8b.css';
import '../../css/n/np1e_h.css';

const viewBox = {"width":24,"height":24};
const content = `<g class="cv0n0om"><path class="jhpso8b"/><circle transform="matrix(-1 0 0 1 8 3)" class="np1e_h"/></g>`;

/** @param props {{width?: string; height?: string;}} */
function Component(props) {
	const [local, others] = splitProps(props, ["width","height"]);

	return (<Icon width={local.width} height={local.height} viewBox={viewBox} content={content} fallback={"hugeicons:bounce-left"} {...others} />);
}

export default Component;
